This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1000105 - gedit-collaboration and gedit-latex require schema script updating to redirect output to /dev/null
gedit-collaboration and gedit-latex require schema script updating to redirec...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit-collaboration (Show other bugs)
19
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Ignacio Casal Quinteiro (nacho)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 13:15 EDT by Shawn Q
Modified: 2014-09-28 07:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-28 07:15:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 814053 None None None Never

  None (edit)
Description Shawn Q 2013-08-22 13:15:53 EDT
Description of problem:

gedit-collaboration-3.6.1-2.fc19.x86_64 doesn't redirect glib-compile-schemas output
gedit-latex-3.8.0-1.fc19.x86_64 doesn't redirect glib-compile-schemas output

Version-Release number of selected component (if applicable):

gedit-collaboration-3.6.1-2.fc19.x86_64
gedit-latex-3.8.0-1.fc19.x86_64

How reproducible:

Install gedit-collaboration via a package manager such as 'yum'

Steps to Reproduce:
1. yum install gedit-collaboration gedit-latex

Actual results:

warning: Schema 'apps.gecko-mediaplayer.preferences' has path '/apps/gecko-mediaplayer/preferences/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'apps.gnome-mplayer.preferences' has path '/apps/gnome-mplayer/preferences/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.freedesktop.Geoclue' has path '/apps/geoclue/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.freedesktop.Telepathy.Logger' has path '/apps/telepathy-logger/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.freedesktop.gstreamer-0.10.default-elements' has path '/desktop/gstreamer/0.10/default-elements/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.crypto.cache' has path '/desktop/gnome/crypto/cache/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.crypto.pgp' has path '/desktop/gnome/crypto/pgp/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.locale' has path '/system/locale/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.proxy' has path '/system/proxy/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.proxy.http' has path '/system/proxy/http/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.proxy.https' has path '/system/proxy/https/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.proxy.ftp' has path '/system/proxy/ftp/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.proxy.socks' has path '/system/proxy/socks/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'apps.gecko-mediaplayer.preferences' has path '/apps/gecko-mediaplayer/preferences/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'apps.gnome-mplayer.preferences' has path '/apps/gnome-mplayer/preferences/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.freedesktop.Geoclue' has path '/apps/geoclue/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.freedesktop.Telepathy.Logger' has path '/apps/telepathy-logger/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.freedesktop.gstreamer-0.10.default-elements' has path '/desktop/gstreamer/0.10/default-elements/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.crypto.cache' has path '/desktop/gnome/crypto/cache/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.crypto.pgp' has path '/desktop/gnome/crypto/pgp/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.locale' has path '/system/locale/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.proxy' has path '/system/proxy/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.proxy.http' has path '/system/proxy/http/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.proxy.https' has path '/system/proxy/https/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.proxy.ftp' has path '/system/proxy/ftp/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.
warning: Schema 'org.gnome.system.proxy.socks' has path '/system/proxy/socks/'.  Paths starting with '/apps/', '/desktop/' or '/system/' are deprecated.

Expected results:

Nothing

Additional info:

# rpm -qa | while read pkg ; do if rpm -q --scripts $pkg | grep glib-compile-schemas | grep -v '/dev/null' > /dev/null ; then echo "$pkg doesn't redirect glib-compile-schemas output" ; fi ; done
gedit-collaboration-3.6.1-2.fc19.x86_64 doesn't redirect glib-compile-schemas output
gedit-latex-3.8.0-1.fc19.x86_64 doesn't redirect glib-compile-schemas output

Other apps may also require updating to redirect output, please see the following mail transcription regarding a similar case:

https://lists.fedoraproject.org/pipermail/test/2012-April/107426.html
Comment 1 Kalev Lember 2014-09-28 07:15:20 EDT
gedit-collaboration is now retired in F21 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.